Package com.google.gwt.dom.builder.shared

## Interface LinkBuilder

- All Superinterfaces:
    `ElementBuilderBase<LinkBuilder>`
  All Known Implementing Classes:
    `DomLinkBuilder`, `HtmlLinkBuilder`

      public interface LinkBuilder
      extends ElementBuilderBase<LinkBuilder>

  Builds an link element.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LinkBuilder` | `disabled()` | Disable the link.
    `LinkBuilder` | `href​(java.lang.String href)` | The URI of the linked resource.
    `LinkBuilder` | `hreflang​(java.lang.String hreflang)` | Language code of the linked resource.
    `LinkBuilder` | `media​(java.lang.String media)` | Designed for use with one or more target media.
    `LinkBuilder` | `rel​(java.lang.String rel)` | Forward link type.
    `LinkBuilder` | `target​(java.lang.String target)` | Frame to render the resource in.
    `LinkBuilder` | `type​(java.lang.String type)` | Advisory content type.

    - ### Methods inherited from interface com.google.gwt.dom.builder.shared.ElementBuilderBase

      `attribute, attribute, className, dir, draggable, end, end, endAnchor, endArea, endAudio, endBase, endBlockQuote, endBody, endBR, endButton, endCanvas, endCol, endColGroup, endDiv, endDList, endFieldSet, endForm, endFrame, endFrameSet, endH1, endH2, endH3, endH4, endH5, endH6, endHead, endHR, endIFrame, endImage, endInput, endLabel, endLegend, endLI, endLink, endMap, endMeta, endOList, endOptGroup, endOption, endParagraph, endParam, endPre, endQuote, endScript, endSelect, endSource, endSpan, endStyle, endTable, endTableCaption, endTBody, endTD, endTextArea, endTFoot, endTH, endTHead, endTR, endUList, endVideo, finish, getDepth, html, id, isChildElementSupported, isEndTagForbidden, lang, startAnchor, startArea, startAudio, startBase, startBlockQuote, startBody, startBR, startButtonInput, startCanvas, startCheckboxInput, startCol, startColGroup, startDiv, startDList, startFieldSet, startFileInput, startForm, startFrame, startFrameSet, startH1, startH2, startH3, startH4, startH5, startH6, startHead, startHiddenInput, startHR, startIFrame, startImage, startImageInput, startLabel, startLegend, startLI, startLink, startMap, startMeta, startOList, startOptGroup, startOption, startParagraph, startParam, startPasswordInput, startPre, startPushButton, startQuote, startRadioInput, startResetButton, startResetInput, startScript, startSelect, startSource, startSpan, startStyle, startSubmitButton, startSubmitInput, startTable, startTableCaption, startTBody, startTD, startTextArea, startTextInput, startTFoot, startTH, startTHead, startTR, startUList, startVideo, style, tabIndex, text, title, trustedStart`

- - ### Method Detail

    - #### disabled

          LinkBuilder disabled()

      Disable the link. This is currently only used for style sheet links, and may be used to deactivate style sheets.

    - #### href

          LinkBuilder href​(java.lang.String href)

      The URI of the linked resource. The @IsTrustedResourceUri is added conservatively in case href points to a stylesheet.
      See Also:
        W3C HTML Specification

    - #### hreflang

          LinkBuilder hreflang​(java.lang.String hreflang)

      Language code of the linked resource.
      See Also:
        W3C HTML Specification

    - #### media

          LinkBuilder media​(java.lang.String media)

      Designed for use with one or more target media.
      See Also:
        W3C HTML Specification

    - #### rel

          LinkBuilder rel​(java.lang.String rel)

      Forward link type.
      See Also:
        W3C HTML Specification

    - #### target

          LinkBuilder target​(java.lang.String target)

      Frame to render the resource in.
      See Also:
        W3C HTML Specification

    - #### type

          LinkBuilder type​(java.lang.String type)

      Advisory content type.
      See Also:
        W3C HTML Specification